## net.i2p.i2ptunnel.streamr
Class Pinger

    java.lang.Object
      net.i2p.i2ptunnel.streamr.Pinger

All Implemented Interfaces:
  Runnable, Source

    public class Pinger

extends Object
implements Source, Runnable

Author:
  welterde/zzz

Field Summary
`protected boolean` `running`
`protected Sink` `sink`
`protected Thread` `thread`

Constructor Summary
`Pinger()`

Method Summary
`void` `run()`
`void` `setSink(Sink sink)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sink

    protected Sink sink

### thread

    protected Thread thread

### running

    protected boolean running

Constructor Detail

### Pinger

    public Pinger()

Method Detail

### setSink

    public void setSink(Sink sink)

  Specified by:
    `setSink` in interface `Source`

### start

    public void start()

  Specified by:
    `start` in interface `Source`

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`